quality
List quality quality
Requires scopes: runs:read
GET
/
api
/
quality
List quality quality
curl --request GET \
--url https://evalgate.com/api/quality \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/quality"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/quality', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluationId": 123,
"evaluationRunId": 123,
"integrity": {
"summary": {
"byBehavior": {
"tool_use": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"classification": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"retrieval": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"extraction": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"multi_step_reasoning": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
}
},
"byDifficulty": {
"medium": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"hard": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"easy": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"flaky": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
}
},
"metadata": {
"totalCases": 123,
"evaluatedAt": "<string>",
"evaluationRunId": 123,
"uncategorizedBehaviorCount": 123,
"uncategorizedDifficultyCount": 123
},
"trajectory": {
"efficiency": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"toolUsage": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
}
},
"workflow": {
"axes": {
"autonomyFit": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"escalationQuality": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"approvalSafety": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"hookCompliance": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"memoryCorrectness": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"recoveryQuality": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"handoffQuality": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"debuggability": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
}
},
"slices": {
"byAutonomy": {
"manual": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"default_approvals": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"bypass_approvals": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"autopilot": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
}
},
"byWorkflowClass": {
"approval_gated_mutation": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"background_execution": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"recovery_required": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"policy_conflict": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"handoff_heavy": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"memory_sensitive": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
},
"parallel_tool_use": {
"mean": 123,
"stdDev": 123,
"n": 123,
"confidenceInterval": {
"lower": 123,
"upper": 123,
"method": "normal"
},
"composition": {
"percentageOfDataset": 123
},
"status": "valid",
"warnings": [
"metric_missing_data"
]
}
}
}
}
},
"datasetIntegrity": {
"behaviorDistribution": {
"tool_use": 123,
"classification": 123,
"retrieval": 123,
"extraction": 123,
"multi_step_reasoning": 123
},
"difficultyDistribution": {
"medium": 123,
"hard": 123,
"easy": 123,
"flaky": 123
},
"failureOriginShare": 123,
"syntheticOnly": true,
"coverageWarnings": [
"metric_missing_data"
]
},
"metricValidity": {
"historicalSnapshotsChecked": 123,
"driftSignals": [
{
"metric": "<string>",
"currentMean": 123,
"previousMean": 123,
"delta": 123,
"triggered": true
}
],
"improvementWithoutFailureReduction": true
},
"antiGaming": {
"improvedEasyBucketOnly": true,
"failureDistributionStagnant": true,
"redundancyIncreaseWithScoreGain": true,
"detected": true
},
"coverageIntegrity": {
"coverageByBehavior": {
"tool_use": 123,
"classification": 123,
"retrieval": 123,
"extraction": 123,
"multi_step_reasoning": 123
},
"dominantFailureMode": {
"mode": "<string>",
"share": 123
},
"lowFailureDiversity": true
},
"lifecycle": {
"counts": {
"active": 123,
"validated": 123,
"superseded": 123,
"deprecated": 123,
"archived": 123,
"candidate": 123,
"active_gate": 123
},
"recommendedTransitions": [
{
"testCaseId": 123,
"currentState": "active",
"nextState": "active",
"reason": "manual_approval"
}
]
},
"warnings": [
{
"code": "metric_missing_data",
"severity": "critical",
"message": "<string>",
"context": {}
}
],
"events": [
{
"type": "metric_drift_detected",
"message": "<string>",
"context": {}
}
],
"metadata": {
"totalWarnings": 123,
"refreshedAt": "<string>",
"sourceTrajectoryMetricsAvailable": true,
"overallPassRate": 123,
"averageTrajectoryRedundancy": 123
}
},
"workflowCoverage": {
"totalCases": 123,
"agentWorkflowCases": 123,
"coverageRate": 123,
"workflowClassDistribution": {
"approval_gated_mutation": 123,
"background_execution": 123,
"recovery_required": 123,
"policy_conflict": 123,
"handoff_heavy": 123,
"memory_sensitive": 123,
"parallel_tool_use": 123
},
"autonomyDistribution": {
"manual": 123,
"default_approvals": 123,
"bypass_approvals": 123,
"autopilot": 123
},
"generatedCandidateCount": 123,
"experimentRecipeCount": 123,
"gaps": [
{
"id": "<string>",
"workflowClass": "approval_gated_mutation",
"severity": "critical",
"description": "<string>",
"recommendation": "<string>"
}
]
},
"qualityScore": {
"score": 123,
"breakdown": true,
"flags": true,
"evidenceLevel": "<string>",
"scoringVersion": "<string>",
"traceCoverageRate": "<string>",
"provenanceCoverageRate": "<string>",
"model": "<string>",
"baselineScore": 123,
"regressionDelta": 123,
"regressionDetected": true,
"baselineMissing": true,
"avgLatencyMs": true,
"costUsd": true,
"baselineCostUsd": true,
"createdAt": "2023-11-07T05:31:56Z"
},
"message": "<string>",
"legacy": {}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 1000Required range:
x >= 0Response
Successful response
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
List quality quality
